Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.MenuList Class Reference

## Public Member Functions
| MenuList ()
| Constructor.
| MenuList (int level, String name, MenuListArray sub_menu_list_array)
| Constructor, with parameters. More...
| MenuList (MenuList menu_list)
| Constructor, with another menu list object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getLevel ()
| Get the level of menu. More...
String | getName ()
| Get the title of menu. More...
MenuListArray | getSub_menu_list_array ()
| Get the sub menu array. More...
void | set (int level, String name, MenuListArray sub_menu_list_array)
| Set values. More...
void | setLevel (int value)
| Set the level of menu. More...
void | setName (String value)
| Set the title of menu. More...
void | setSub_menu_list_array (MenuListArray value)
| Set the sub menu array. More...

## Detailed Description

This class represents menu list.

## Constructor & Destructor Documentation

## ◆ MenuList() [1/2]

com.foxit.sdk.MenuList.MenuList | ( | int | level,
|  | String | name,
|  | MenuListArray | sub_menu_list_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | level | Level of menu.
  [in] | name | Title of menu.
  [in] | sub_menu_list_array | The sub menu list array.

## ◆ MenuList() [2/2]

com.foxit.sdk.MenuList.MenuList | ( | MenuList | menu_list | ) |

Constructor, with another menu list object.

Parameters

  [in] | menu_list | Another menu list object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.MenuList.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getLevel()

com.foxit.sdk.MenuList.getLevel | ( |  | ) |

Get the level of menu.

Deprecated:
  Current member variable has been deprecated since Foxit PDF SDK 8.3.

Returns
  The level of menu.

## ◆ getName()

com.foxit.sdk.MenuList.getName | ( |  | ) |

Get the title of menu.

Returns
  The title of menu.

## ◆ getSub_menu_list_array()

com.foxit.sdk.MenuList.getSub_menu_list_array | ( |  | ) |

Get the sub menu array.

Returns
  The sub menu array.

## ◆ set()

void com.foxit.sdk.MenuList.set | ( | int | level,
|  | String | name,
|  | MenuListArray | sub_menu_list_array
| ) |  |

Set values.

Parameters

  [in] | level | Level of menu.
  [in] | name | Title of menu.
  [in] | sub_menu_list_array | The sub menu list array.

Returns
  None.

## ◆ setLevel()

com.foxit.sdk.MenuList.setLevel | ( | int | value | ) |

Set the level of menu.

Deprecated:
  Current member variable has been deprecated since Foxit PDF SDK 8.3.

Parameters

  [in] | value | The level of menu.

Returns
  None.

## ◆ setName()

com.foxit.sdk.MenuList.setName | ( | String | value | ) |

Set the title of menu.

Parameters

  [in] | value | The title of menu.

Returns
  None.

## ◆ setSub_menu_list_array()

com.foxit.sdk.MenuList.setSub_menu_list_array | ( | MenuListArray | value | ) |

Set the sub menu array.

Parameters

  [in] | value | The sub menu array.

Returns
  None.